#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "CompetenceAction.generated.h"

class UGameplayModifierContainer;
class ADBDPlayer;

UCLASS(Blueprintable, EditInlineNew)
class DEADBYDAYLIGHT_API UCompetenceAction : public UObject
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient, Export, meta=(AllowPrivateAccess=true))
	UGameplayModifierContainer* _owningContainer;

public:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent)
	void OnApplyEnd();

	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent)
	void OnApplyBegin();

	UFUNCTION(BlueprintPure)
	ADBDPlayer* GetOwningPlayer() const;

public:
	UCompetenceAction();
};

FORCEINLINE uint32 GetTypeHash(const UCompetenceAction) { return 0; }
